Bug 88785 - rc.sysinit doesn't support mdadm
rc.sysinit doesn't support mdadm
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-14 01:39 EDT by Gregory Leblanc
Modified: 2014-03-16 22:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: 7.91-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-17 00:49:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add support for mdadm.conf (2.12 KB, patch)
2003-04-14 01:40 EDT, Gregory Leblanc
no flags Details | Diff

  None (edit)
Description Gregory Leblanc 2003-04-14 01:39:08 EDT
Description of problem:  The RAID startup stuff in rc.sysinit doesn't support
mdadm.conf for configuring RAID arrays.  Given how much easier they are to use,
it should do so.  I've created a patch to rc.sysinit that starts RAID arrays
using mdadm.conf.  It's essentially a copy of the existing stuff for the
raidtools tools.  I suspect that they could be condenced into one block of code,
but I'm not sure I'm good enough to hack that. 


Version-Release number of selected component (if applicable):
initscripts-7.14-1
Comment 1 Gregory Leblanc 2003-04-14 01:40:45 EDT
Created attachment 91113 [details]
Patch to add support for mdadm.conf
Comment 2 Bill Nottingham 2004-10-17 00:49:31 EDT
Much simpler version added in 7.91-1. (mdadm -As)

Note You need to log in before you can comment on or make changes to this bug.